CHROMEBOOK_PLATFORM(4)

NAME
chromebook_platform - support driver for hardware on various Chromebook models

SYNOPSIS
To compile this driver into the kernel, place the following lines into the kernel configuration file:

device chromebook_platform

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    chromebook_platform_load="YES"

DESCRIPTION
The chromebook_platform driver provides automatic configuration for devices that cannot be enumerated or safely probed. In particular, I2C peripherals are different from model to model. chromebook_platform has a model-specific information about the I2C peripherals, their drivers, their bus attachments and slave addresses.

Note that chromebook_platform does not load driver modules for the peripherals. Those have to be compiled into the kernel or loaded separately.

SEE ALSO
cyapa(4), iicbus(4), isl(4)

AUTHORS
-nosplit The chromebook_platform driver and this manual page were written by Andriy Gapon <avg@FreeBSD.org>.